using System.Configuration;

namespace SubSonic {
    public class SubSonicSection : ConfigurationSection 
    {
        [ConfigurationProperty(ConfigurationSectionName.PROVIDERS)]
        public ProviderSettingsCollection Providers 
        {
            get { return (ProviderSettingsCollection)base[ConfigurationSectionName.PROVIDERS]; }
        }
        
        [ConfigurationProperty(ConfigurationPropertyName.DEFAULT_PROVIDER, DefaultValue = DataProviderTypeName.SQL_SERVER)]
        public string DefaultProvider 
        {
            get { return (string)base[ConfigurationPropertyName.DEFAULT_PROVIDER]; }
            set { base[ConfigurationPropertyName.DEFAULT_PROVIDER] = value; }
        }

        
        [ConfigurationProperty(ConfigurationPropertyName.ENABLE_TRACE, DefaultValue = "false")]
        public string EnableTrace 
        {
            get { return (string)base[ConfigurationPropertyName.ENABLE_TRACE]; }
            set { base[ConfigurationPropertyName.ENABLE_TRACE] = value; }
        }

        [ConfigurationProperty(ConfigurationPropertyName.TEMPLATE_DIRECTORY, DefaultValue = "")]
        public string TemplateDirectory
        {
            get { return (string)base[ConfigurationPropertyName.TEMPLATE_DIRECTORY]; }
            set { base[ConfigurationPropertyName.TEMPLATE_DIRECTORY] = value; }
        }

        //[ConfigurationProperty(ConfigurationPropertyName.FIX_PLURAL_CLASS_NAMES, DefaultValue = "")]
        //public string FixPluralClassNames
        //{
        //    get { return (string)base[ConfigurationPropertyName.FIX_PLURAL_CLASS_NAMES]; }
        //    set { base[ConfigurationPropertyName.FIX_PLURAL_CLASS_NAMES] = value; }
        //}

    }
}
