using System;

namespace SubSonic
{
	public interface IConstraint
	{
		/// <summary>
		/// The type of comparison represented by this 
		/// constraint.
		/// </summary>
		Comparison Comparison { get; }

		/// <summary>
		/// The value of the constraint. This is what 
		/// is being compared.
		/// </summary>
		object Value { get; }
	}
}
