@ECHO OFF


IF NOT EXIST SubSonic.dll (
	ECHO This batch file must be launched from the directory 
	ECHO where the SubSonic assemblies are located.
	GOTO ABORT
)

if "%VS80COMNTOOLS%" == "" (
	ECHO Visual Studio directory not found!
	GOTO ABORT
) 

if NOT EXIST "%WINDIR%\Microsoft.NET\Framework\v2.0.50727\RegAsm.exe" (
	ECHO %WINDIR%\Microsoft.NET\Framework\v2.0.50727\RegAsm.exe not found!
	GOTO ABORT
) 

ECHO Installing SubSonic Environment Developer Tools Extensibility in Visual Studio Public Assemblies...
COPY /-Y *.dll "%VS80COMNTOOLS%\..\IDE\PublicAssemblies"
IF %ERRORLEVEL% NEQ 0 (
	IF %ERRORLEVEL% == 4 ECHO Make sure Visual Studio is closed.
	GOTO ABORT 
)


ECHO *** INSTALLATION COMPLETED! ***
GOTO END


: ABORT
ECHO *****************************
ECHO *** INSTALLATION ABORTED! ***
ECHO *****************************
GOTO END


: END
