namespace SubSonic.CodeGenerator
{
	public static class ParseUtility
	{
		private static readonly string[] namespaces = {
			"System", "System.Text", "System.Data", "System.Data.SqlClient", "System.Data.Common",
			"System.Collections", "System.Collections.Generic", "System.ComponentModel",
			"System.Configuration", "System.Xml", "System.Xml.Serialization",
			"SubSonic", "SubSonic.Utilities"
		};

		public static string GetUsings(ICodeLanguage language)
		{
			return language.GetUsingStatements(namespaces);
		}
	}
}
